package tutorialJava.examenes.examen20250321.controlador;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import tutorialJava.examenes.examen20250321.modelo.Vivienda;


public class ControladorVivienda {

	
	public static List<Vivienda> 
		findAllByLocalidadAndFilterDescription(int idLocalidad,
				String filterDescription) {
		
		List<Vivienda> lista = new ArrayList<Vivienda>();
		try {
			Connection conn = ConnectionManager.getConnection();
			
			String sql = "select * from vivienda where "
					+ "idLocalidad = ? and descripcion like ?";
			PreparedStatement ps = conn.prepareStatement(sql);
			ps.setInt(1, idLocalidad);
			ps.setString(2, "%" + filterDescription + "%");
			
			ResultSet rs = ps.executeQuery();
			
			while (rs.next()) {
				Vivienda v = new Vivienda();
				v.setId(rs.getInt("id"));
				v.setDescripcion(rs.getString("descripcion"));
				v.setIdLocalidad(rs.getInt("idLocalidad"));
				lista.add(v);
			}
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
		return lista;
	}
	
}










